﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.IO;

/// <summary>
/// Classe per gestionar l’accés a les taules PagamentPayPal i PagamentVisa
/// </summary>
public class Pagament
{
    
    // donem d'alta un PagamentPayPal
    public static void crearPagamentPayPal(long idcom, string compte) {
       var db = DadesAplicacio.DatabaseInstance;       
       db.Execute("INSERT INTO PagamentPayPal (idComanda, comptePay) Values (@0, @1)",  idcom, compte);        
    }
    
        // donem d'alta un PagamentVisa
    public static void crearPagamentVisa(long idcom, string compte, string dataCa, string codi) {
       var db = DadesAplicacio.DatabaseInstance;       
       db.Execute("INSERT INTO PagamentVisa (idComanda, numTargeta, dataCaducitat, codiCSV) Values (@0, @1, @2, @3)",  idcom, compte, dataCa, codi);        
    }
}



