﻿using System;
using System.Xml;
using System.IO;
using System.Collections;

/// <summary>
/// Classe per gestionar l’accés a la informació del fitxer XML
/// </summary>

public static  class llegirXML
{   
    // llegim els diferents paràgrafs corresponents a l'etiqueta del fitxer XML que recollim com paràmetres 
    public static dynamic detallEmpresa(string etiqueta, string fitxer){
        ArrayList stringArray = new ArrayList();  

        using (XmlTextReader reader = new XmlTextReader(fitxer))
            {
            reader.MoveToContent();
            reader.ReadStartElement();
            while (reader.Read()){
                if (reader.NodeType == XmlNodeType.Element && reader.Name == etiqueta){                                       
                    for (int i = 0; i < reader.AttributeCount; i++){                        
                        reader.MoveToAttribute(i);
                        stringArray.Add(reader.GetAttribute(i));
                    }                                                                         
                    return stringArray;                             
                    break;
                }
            }
        }
        return "Error";
    }
}