﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.IO;

/// <summary>
/// Classe per gestionar l’accés a la taula Comanda
/// </summary>
public class Comanda
{
    
    // llegim totes les comandes  
    public static dynamic llegirComandes() {
        var db = DadesAplicacio.DatabaseInstance;
        return db.Query("SELECT * FROM COMANDA");        
    }
    
    // llegim les dades d'una comanda     
    public static dynamic unaComanda(int id) {
       var db = DadesAplicacio.DatabaseInstance;
       return db.QuerySingle("SELECT * FROM COMANDA WHERE idComanda = @0", id);
    }
    
    // donem d'alta una comanda
    public static dynamic crearComanda(string idcli,  float imp, string idpag, bool estatcom) {
       var db = DadesAplicacio.DatabaseInstance;       
       db.Execute("INSERT INTO COMANDA (idClient, dataComanda, import, idPagament, estatComanda) Values (@0, @1, @2, @3, @4)",  idcli, @DateTime.Now, imp, idpag, estatcom);        
       return db.QuerySingle("SELECT max(idComanda) FROM COMANDA");
    }

}



