﻿using System;
using WebMatrix.Data;
using WebMatrix.WebData;

/// <summary>
/// Classe per gestionar l’accés a la base de dades del lloc web
/// </summary>

public class DadesAplicacio
{
    
    // Especifiquem el nom de la nostra base de dades
    public static dynamic DatabaseInstance {
        get {
            // HTTPContext could be null
            var db = RequestData.GetValue<Database>("Database");
            if (db == null) {
                db = Database.Open("yeasiBD");
                RequestData.SetValue("Database", db);
            }
            return db;
        }
    }
    
}

